{% extends "base.html" %}
{% import "bootstrap/wtf.html" as wtf %}

{% block title %}Posts by {{ user.username }}{% endblock %}

{% block page_content %}
{% if posts.count() > 0 %}
<h1>{{ user.username }}'s posts</h1>
{% else %}
<h1>{{ user.username }} has no posts</h1>
{% endif %}

{% for post in posts %}
<p> 
	<a href="{{ url_for('.post', id=post.id) }}">{{ post.title }}</a>
posted {{ moment(post.timestamp).fromNow() }}
	{% if current_user == post.author %}
	<a href="{{ url_for('.edit', id=post.id) }}">[Edit]</a>
	<a href="{{ url_for('.delete', id=post.id) }}">[Delete]</a>
	{% endif %}
</p>
{% endfor %}
{% endblock %}


